gnutls_x509_crt_set_activation_time(3)

NAME
gnutls_x509_crt_set_activation_time - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_activation_time(gnutls_x509_crt_t cert, time_t act_time);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

time_t act_time
    The actual time

DESCRIPTION
This function will set the time this certificate was or will be activated.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/